main/urls.py
from django.urls import path

from main import views
from story1 import views as st1

app_name = 'main'

urlpatterns = [
    path('', views.home, name='home'),
    path('education/', views.education, name='education'),
    path('experiences/', views.experiences, name='experiences'),
    path('contact/', views.contact, name='contact'),
    path('movie/', views.movie, name='movie'),
    path('listmatkul/', views.listmatkul, name='listmatkul'),
    path('matkulform/', views.matkulform, name='matkulform'),
    path('deletematkul/<str:pk_test>/', views.deletematkul, name='deletematkul'),
    path('kegiatanku/', views.fungsi_kegiatanku, name='kegiatanku'),
    path('kegiatanku/<str:id_kegiatan>/', views.fungsi_eksekusi_nama, name='kegiatanku_eksekusi'),
    path('formulirkegiatan/', views.formulir_kegiatan, name='formulir_kegiatan'),
]

story4/urls.py
from django.contrib import admin
from django.urls import include, path
from django.contrib.auth import views as auth_views
from story8 import views as user_views
from story1 import views as st1


urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('main.urls', namespace="main")),
    path('story1/', st1.story1, name="story1"),

    path('register/', user_views.register, name="register"),
    path('profile/', user_views.profile, name="profile"),
    path('login/', auth_views.LoginView.as_view(template_name='users/login.html'), name="login"),
    path('logout/', auth_views.LogoutView.as_view(template_name='users/logout.html'), name="logout"),

    path('story8/', user_views.fungsi_search_book, name="story8"),
    path('response/', user_views.fungsi_perantara_book, name='book-response'),
    
]

main/models.py
from django.db import models

# Create your models here.
class Matkul(models.Model):
    SEMESTER = (
            ('Gasal 2019/2020', 'Gasal 2019/2020'),
            ('Genap 2019/2020', 'Gasal 2019/2020'),
            ('Gasal 2020/2021', 'Gasal 2020/2021'),
            )
    nama_matkul = models.CharField(max_length=200)
    nama_dosen = models.CharField(max_length=200)
    jumlah_sks = models.IntegerField(default = 0)
    deskripsi_matkul = models.TextField(max_length=200)
    semester_tahun = models.CharField(max_length=200, choices = SEMESTER)
    ruang_kelas = models.CharField(max_length=10)

    def __str__(self): #untuk menampilkan nama_matkul bukan matkul_object
        return self.nama_matkul


class Person(models.Model):
    nama = models.CharField(max_length=100)
    def __str__ (self):
        return self.nama

class Kegiatan(models.Model):
    nama_kegiatan = models.CharField(max_length=100)
    gambar = models.URLField(max_length=500)
    participants = models.ManyToManyField(Person)
    def __str__(self):
        return self.nama_kegiatan

main/forms.py
from django import forms
from .models import *

class MatkulForm(forms.ModelForm):
    SEMESTER = (
        ('Gasal 2019/2020', 'Gasal 2019/2020'),
        ('Genap 2019/2020', 'Gasal 2019/2020'),
        ('Gasal 2020/2021', 'Gasal 2020/2021'),
        )

    nama_matkul = forms.CharField(max_length=200, widget=forms.TextInput(attrs={'class': 'form-control', 'placeholder':'Masukkan Nama Matkul Kamu...'}))
    nama_dosen = forms.CharField(max_length=200, widget=forms.TextInput(attrs={'class': 'form-control', 'placeholder':'Masukkan Nama Dosennya...'}))
    jumlah_sks = forms.IntegerField(widget=forms.NumberInput(attrs={'class': 'form-control'}))
    deskripsi_matkul = forms.CharField(max_length=200, widget=forms.Textarea(attrs={'class': 'form-control'}))
    semester_tahun = forms.TypedChoiceField(widget = forms.Select(attrs={'class': 'form-control', 'placeholder':'Choose...'}), choices = SEMESTER)
    ruang_kelas = forms.CharField(max_length=10,  widget=forms.TextInput(attrs={'class': 'form-control'}))
    
    class Meta:
        model = Matkul
        fields = ('nama_matkul', 'nama_dosen', 'jumlah_sks', 'deskripsi_matkul', 'semester_tahun', 'ruang_kelas')

class KegiatanForm(forms.ModelForm):
    nama_kegiatan = forms.CharField(max_length=200, widget=forms.TextInput(attrs={'class': 'form-control', 'placeholder':'Masukkan nama kegiatan'}))
    gambar = forms.URLField()

    class Meta:
        model = Kegiatan
        fields = ('nama_kegiatan', 'gambar',)

class NamaForm(forms.ModelForm):
    nama = forms.CharField(max_length=200, widget=forms.TextInput(attrs={'class': 'form-control', 'placeholder':'Masukkan nama kamu'}))

    class Meta:
        model = Person
        fields = ('nama',)

main/views.py
from django.http import HttpResponse
from django.shortcuts import render, redirect
from .models import *
from .forms import *
from django.contrib.auth.decorators import login_required


def home(request):
    return render(request, 'main/home.html')

@login_required
def education(request):
    return render(request, 'main/education.html')

@login_required   
def experiences(request):
    return render(request, 'main/experiences.html')

@login_required
def contact(request):
    return render(request, 'main/contact.html')

@login_required
def movie(request):
    return render(request, 'main/movie.html')

@login_required
def listmatkul(request):
    matkul = Matkul.objects.all()
    return render(request, 'main/listmatkul.html', {'matkul' : matkul})


def matkulform(request):
    form = MatkulForm()
    if request.method == "POST":
        form = MatkulForm(request.POST)
        if form.is_valid():
            form.save()
            return redirect('/listmatkul')
    context = {'form':form}
    return render(request, 'main/matkulform.html', context)

def deletematkul(request, pk_test):
    namaMatkul = Matkul.objects.get(id=pk_test)
    form = MatkulForm()
    if request.method == "POST":
        namaMatkul.delete()
        return redirect('/listmatkul')
    context = {'item': namaMatkul }
    return render (request, 'main/delete.html', context)

@login_required
def fungsi_kegiatanku(request):
    kegiatan = Kegiatan.objects.all()
    form = NamaForm()
    if request.method == "POST":
        form = NamaForm(request.POST)
        if form.is_valid:
            form.save()
            return redirect('/kegiatanku')
    response = {'kegiatan' : kegiatan, 'form' : form}
    return render(request, 'main/template_kegiatanku.html', response)

@login_required
def fungsi_eksekusi_nama(request,id_kegiatan):
    kegiatannya = Kegiatan.objects.get(id=id_kegiatan)
    orang = Person.objects.all()
    form = NamaForm()
    if request.method == "POST":
        form = NamaForm(request.POST)
        if form.is_valid:
            orang = form.save()
            orang.save()
            kegiatannya.participants.add(orang)
        return redirect('/kegiatanku')
    return render(request, 'main/template_kegiatanku.html')

@login_required
def formulir_kegiatan(request):
    form = KegiatanForm()
    if request.method == "POST":
        form = KegiatanForm(request.POST)
        if form.is_valid:
            form.save()
            return redirect('/kegiatanku')
    response = {'form' : form}
    return render(request, 'main/formulir_kegiatan.html', response)

main/templates/main/contact.html
{% extends 'base.html' %}
{% load static %}


{% block meta %}
<title>Get in Touch with Ayu </title>
{% endblock meta %}

{% block content %}
    <!--Contact Section-->
        <section id="contact">
          <div class="contact container">
            <div><h1>Contact <span>Info</span></h1></div>
                <div class="row" style="justify-content: center;">
                    <div class="card">
                        <div class="col-sm-left">
                            <img class="img-responsive" src="{% static 'img/EMAIL-.svg' %}" alt="img" style="height: 60px; width: 60px;margin-left: 10px;">
                        </div>
                        <div class="col-sm-right">
                            <h3>Email</h3>
                            <h4>endriyanir@gmail.com</h4>
                            <h4>endriyani.rahayu@gmail.com</h4>
                        </div>
                    </div>
                    <div class="card">
                        <div class="col-sm-left">
                            <img class="img-responsive" src="{% static 'img/IG-.svg' %}" alt="img" style="height: 60px; width: 60px;margin-left: 10px;">
                        </div>
                        <div class="col-sm-right">
                            <h3>Instagram</h3>
                            <h4>@endriyanira</h4>
                        </div>
                    </div>
                    <div class="card">
                        <div class="col-sm-left">
                            <img class="img-responsive" src="{% static 'img/IN-.svg' %}" alt="img" style="height: 60px; width: 60px;margin-left: 10px;">
                        </div>
                        <div class="col-sm-right">
                            <h3>Linkdln</h3>
                            <h4>@endriyanirahayu</h4>
                        </div>
                    </div>            
                </div>
            </div>
        </section>
    <!--End Contact Section-->

{% endblock content %}
      

main/templates/main/delete.html
{% extends 'base.html' %}
{% load static %}



{% block content %}
<section id=delete>
    <div class="delete container">
        <p>
            Are you sure you want to delete {{item}}?
        </p>
        
        <form action= "" method="POST">
            {% csrf_token %}
            <!-- {{form}} -->
        
            <a href="{% url 'main:listmatkul' %}">Cancel</a>
            <input type="submit" name="Confirm">
        
        
        
        </form>
    </div>
</section>

{% endblock content %}

main/templates/main/education.html
{% extends 'base.html' %}
{% load static %}


{% block meta %}
<title>Ayu's Education</title>
{% endblock meta %}

{% block content %}
    <!--Education Section-->
        <section id="education">
          <div class="education container">
            <div><h1>Educat<span>i</span>on</h1></div>
                <div class="row" style="justify-content: center;">
                  <div class="card">
                    <div class="col-sm-left">
                      <h3 class="col">Bachelor of Computer Science</h3>
                      <h5 class="col">University of Indonesia</h5>
                      <h6 class="col">2019 - Present</h6>
                    </div>
                    <div class="col-sm-right">
                      <img class="img-responsive" src="{% static 'img/logocsui.svg' %}" alt="img">
                    </div>
                  </div>
                  <div class="card">
                    <div class="col-sm-left">
                      <h3 class="col">Senior High School</h3>
                      <h5 class="col">31 Senior High School</h5>
                      <h6 class="col">2016 - 2019</h6>
                    </div>
                    <div class="col-sm-right">
                      <img class="img-responsive" src="{% static 'img/logo31.svg' %}" alt="img">
                    </div>
                  </div>
                  <div class="card">
                    <div class="col-sm-left">
                      <h3 class="col">Junior High School</h3>
                      <h5 class="col">216 Junior High School</h5>
                      <h6 class="col">2013 - 2016</h6>  
                    </div>
                    <div class="col-sm-right">
                      <img class="img-responsive" src="{% static 'img/logo216.svg' %}" alt="img">
                    </div>
                  </div>
                  <div class="card">
                    <div class="col-sm-left">
                      <h3 class="col">Elementary School</h3>
                      <h5 class="col">SDN Rawamangun 01 Pagi</h5>
                      <h6 class="col">2007 - 2013</h6>
                    </div>
                    <div class="col-sm-right">
                      <img class="img-responsive" src="{% static 'img/logosd.svg' %}"alt="img">
                    </div>
                  </div>
                </div>
                <div class="row" style="justify-content: center;">
                  <a href="{% url 'main:experiences' %}"><button type="button" class="btn btn-primary btn-lg">My Experience</button></a>
                </div>
            </div>
        </section>
    <!--End Education Section-->
{% endblock content %}

main/templates/main/experiences.html
{% extends 'base.html' %}
{% load static %}


{% block meta %}
<title>Ayu's Education</title>
{% endblock meta %}

{% block content %}
    <!--Volunteer Section-->
    <section id="volunteer">
        <div class="volunteer container">
            <div><h1><span style="color: #FFB800;">Volunteer</span> Experience</div>
            <div><h2>Here is a few history of my volunteer experiences.</h2></div>
                <div class="row" style="justify-content: center;">
                    <div class="card">
                        <div class="col-sm-left">
                            <img class="img-responsive" src="{% static 'img/cf.svg' %}" alt="img" style="height: 60px; width: 60px;margin-left: 10px;">
                        </div>
                        <div class="col-sm-right">
                            <h3>Staff of UX Academy</h3>
                            <h4>COMPFEST</h4>
                            <h5>2020 - Present</h5>
                        </div>
                    </div>
                    <div class="card">
                        <div class="col-sm-left">
                            <img class="img-responsive" src="{% static 'img/pb.svg' %}" alt="img" style="height: 60px; width: 60px;margin-left: 10px;">
                        </div>
                        <div class="col-sm-right">
                            <h3>Staff</h3>
                            <h4>PENGAJAR BELAJAR</h4>
                            <h5>2020 - Present</h5>
                        </div>
                    </div>
                    <div class="card">
                        <div class="col-sm-left">
                            <img class="img-responsive" src="{% static 'img/oh.svg' %}" alt="img" style="height: 60px; width: 60px;margin-left: 10px;">
                        </div>
                        <div class="col-sm-right">
                            <h3>Staff of Public Relation</h3>
                            <h4>OPEN HOUSE FASILKOM</h4>
                            <h5>2019</h5>
                        </div>
                    </div>
                    <div class="card">
                        <div class="col-sm-left">
                            <img class="img-responsive" src="{% static 'img/tofest.svg' %}" alt="img" style="height: 60px; width: 60px;margin-left: 10px;">
                        </div>
                        <div class="col-sm-right">
                            <h3>Secretary</h3>
                            <h4>THIRTY ONE FESTIVAL</h4>
                            <h5>2018</h5>
                        </div>
                    </div>
                    <div class="card">
                        <div class="col-sm-left">
                            <img class="img-responsive" src="{% static 'img/tofest.svg' %}" alt="img" style="height: 60px; width: 60px;margin-left: 10px;">
                        </div>
                        <div class="col-sm-right">
                            <h3>PIC of Decoration</h3>
                            <h4>THIRTY ONE FESTIVAL</h4>
                            <h5>2017</h5>
                        </div>
                    </div>
                    <div class="card">
                        <div class="col-sm-left">
                            <img class="img-responsive" src="{% static 'img/tofest.svg' %}" alt="img" style="height: 60px; width: 60px;margin-left: 10px;">
                        </div>
                        <div class="col-sm-right">
                            <h3>Staff of Ticketing</h3>
                            <h4>THIRTY ONE FESTIVAL</h4>
                            <h5>2016</h5>
                        </div>
                    </div>
                </div>
        </div>
    </section>
    <!--Volunteer Section-->

    <!--Skills Section-->
    <section id="skills">
        <div class="skills container">
            <h1>Skill<span>s</span></h1>
            <div class="row" style="justify-content: center;">
                <div class="col-sm-left">
                    <h2>SOFT SKILL</h2>
                    <div class="row">
                        <div class="col-sm-left">
                            <h3>Communication</h3>
                            <h3>Self-discipline</h3>
                            <h3>Flexibility</h3>
                            <h3>Time Management</h3>
                            <h3>Empathy</h3>
                        </div>
                        <div class="col-sm-right" style="display: flex; flex-direction: column;">
                            <img src="{% static 'img/bintang4.svg' %}">
                            <img src="{% static 'img/bintang3.svg' %}">
                            <img src="{% static 'img/bintang4.svg' %}">
                            <img src="{% static 'img/bintang4.svg' %}">
                            <img src="{% static 'img/bintang4.svg' %}">
                        </div>
                    </div>
                </div>
                <div class="col-sm-right">
                    <h2>HARD SKILL</h2>
                    <div class="row">
                        <div class="col-sm-left">
                            <h3>Python</h3>
                            <h3>Microsoft</h3>
                            <h3>Java</h3>
                            <h3>HTML</h3>
                            <h3>CSS</h3>
                        </div>
                        <div class="col-sm-right" style="display: flex; flex-direction: column;">
                            <img src="{% static 'img/bintang4.svg' %}">
                            <img src="{% static 'img/bintang4.svg' %}">
                            <img src="{% static 'img/bintang3.svg' %}">
                            <img src="{% static 'img/bintang1.svg' %}">
                            <img src="{% static 'img/bintang1.svg' %}">
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!--End of Skills Section-->
{% endblock content %}
      

main/templates/main/floating.html
<!DOCTYPE HTML>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<title>floating button demo</title>
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.5.0/css/font-awesome.min.css">
<style type="text/css">

*{padding:0;margin:0;}

body{
	font-family:Verdana, Geneva, sans-serif;
	font-size:18px;
	background-color:#CCC;
}

.float{
	position:fixed;
	width:60px;
	height:60px;
	bottom:40px;
	right:40px;
	background-color:#0C9;
	color:#FFF;
	border-radius:50px;
	text-align:center;
	box-shadow: 2px 2px 3px #999;
}

.my-float{
	margin-top:22px;
}

</style>
</head>
<body>
<a href="#" class="float">
<i class="fa fa-plus my-float"></i>
</a>
</body>
</html>

main/templates/main/formulir_kegiatan.html
{% extends 'base.html' %}
{% load static %}


{% block meta %}
<title>Formulir Kegiatan</title>
{% endblock meta %}

{% block content %}
    <div class="left" style="left: 30px; bottom: 30px; float: right; position: fixed; z-index: 2;">
        <button type="button" class="button-link" style="border-radius: 100%; border-color: transparent; box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2);">
        <a class="button-link" href="{% url 'main:home' %}">
            <img  src="{% static 'img/first-page.svg' %}" style="width: 50px;">
        </a>
        </button>
    </div>

    <section class="matkul_form">
        <div class="matkul_form container">
            <div class="form-group" style="padding-top: 50px;">
                <form action= " " method="POST">
                    {% csrf_token %}
                    {{ form }}
                    <br>
                    <input type="submit" name="submit" style="justify-content: center; border-style: none; color: white; border-radius: 30px; width: 10rem; font-size: 10px; font-weight: 600; padding: 5px; background-color: #355388;">
                </form>
            </div>
        </div>
    </section>

{% endblock content %}

main/templates/main/listmatkul.html
{% extends 'base.html' %}
{% load static %}


{% block meta %}
<title>Your List Lesson Project</title>
{% endblock meta %}

{% block content %}
<div class="left" style="left: 30px; bottom: 30px; float: right; position: fixed; z-index: 2;">
    <button type="button" class="button-link" style="border-radius: 100%; border-color: transparent; box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2);">
      <a class="button-link" href="{% url 'main:home' %}">
        <img  src="{% static 'img/first-page.svg' %}" style="width: 50px;">
      </a>
    </button>
  </div>
    <section class="list_matkul">
        <div class="list_matkul container">
            <br>
            <div class="row">
                <div class="col">
                    <div class="row" style="justify-content: space-between; padding-bottom: 10px; margin: 4px;">
                        <div class="col-sm-left">
                            <h5 style="font-size: 20px; font-weight: 700; padding: 0px; color: rgb(34, 19, 19);">List Mata Kuliah</h5>
                        </div>
                        <div class="col-sm-right">
                            <a href="{% url 'main:matkulform' %}" class="text-right">
                                <button class="btn btn-light link" style="border-radius: 25px; width: 12rem; font-size: 10px; font-weight: 500; padding: 5px; background-color: #ffc107;">add matkul +</button>
                            </a>
                            
                        </div>
                    </div>
                    <div class="card card-body" style="padding: 0px; margin:0px"">
                        <table class="table table-striped table-dark" style="border-radius: 0px 0px 5px 5px; margin: 0px; padding: 0px;">
                            <tr>
                                <th>Nama Matkul</th>
                                <th>Nama Dosen</th>
                                <th>Total SKS</th>
                                <th>Tahun Ajaran</th>
                                <th>Ruang Kelas</th>
                                <th>Remove</th>
                            </tr>
                            {% for i in matkul %}
                                <tr>
                                    <td>{{i.nama_matkul}}</td>
                                    <td>{{i.nama_dosen}}</td>
                                    <td>{{i.jumlah_sks}}</td>
                                    <td>{{i.semester_tahun}}</td>
                                    <td>{{i.ruang_kelas}}</td>
                                    <td><a class="btn btn-danger" href="{% url 'main:deletematkul' pk_test=i.id %}" role="button" style="border-radius: 25px; font-weight: 700;">Remove</a></td>
                                </tr>
                            {% endfor %}
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </section>
 

{% endblock content %}
      

main/templates/main/matkulform.html
{% extends 'base.html' %}
{% load static %}


{% block meta %}
<title>Add Your Lesson Project</title>
{% endblock meta %}

{% block content %}
    <div class="left" style="left: 30px; bottom: 30px; float: right; position: fixed; z-index: 2;">
        <button type="button" class="button-link" style="border-radius: 100%; border-color: transparent; box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2);">
        <a class="button-link" href="{% url 'main:home' %}">
            <img  src="{% static 'img/first-page.svg' %}" style="width: 50px;">
        </a>
        </button>
    </div>

    <section class="matkul_form">
        <div class="matkul_form container">
                <h1 style="padding-top: 30px;">Add Your Lesson Project</h1>
                <div class="form-group">
                    <form action= " " method="POST">
                        {% csrf_token %}
                        {{ form }}
                        <br>
                        <button name ="submit" type="submit" value="Submit" style="background-color: #FFB800; border-radius: 10px; padding: 5px; font-size: 10px; font-weight: 700; border-color: none;">Submit</button>
                    </form>

                </div>
                
        </div>
    </section>

{% endblock content %}

main/templates/main/template_kegiatanku.html
{% extends 'base.html' %}
{% load static %}


{% block meta %}
<title>Kegiatan Ayu</title>
{% endblock meta %}

{% block content %}
    <!--kegiatan Section-->
    <section id="kegiatan">
        <div class="kegiatan container">
            <div class="row" style=" justify-content: space-between;">
                <div class="col-sm-left" style="padding-top: 200px;">
                    <div class="row" style="width: 600px;" >
                        <div class="col-sm-left">
                            <h1 style="font-size: 60px; font-weight: 700; color: #FFB800;">Let's play!</h1>
                        </div>
                        <div class="col-sm-right">
                            <p style="font-size: 25px; font-weight: 400; color: black;">Halo teman-teman, jika kamu tertarik untuk tahu dan mengikuti salah satu kegiatan ku, keep scrolling ! atau 
                            kalian bisa menambahkan kegiatan baru yang ingin kalian lakukan dengan tombol "Create New Activity"</p>
                        </div>
                        <div class="col-sm-right" style="padding-top: 30px;">
                            <a href="{% url 'main:formulir_kegiatan' %}" class="text-right">
                                <button class="btn btn-light link" style="color: white; border-radius: 25px; width: 25rem; font-size: 18px; font-weight: 600; padding: 5px; background-color: #355388;">Create New Activity</button>
                            </a>
                        </div>
                    </div>
                </div>
                <div class="col-sm-right" style="padding-top: 70px;">
                    <div class="img-responsive">
                        <img src = "{% static 'img\girl.svg' %}">
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!--End kegiatan Section-->

    <!-- join kegiatan section -->
    <section id="join-kegiatan">
        <div class="join-kegiatan container">
            <h1 style="font-size: 25px; font-weight: 500; text-align: center; padding: 30px;">Join the activities that you want!</h1>
            <div class="row" style="justify-content: center;">
            {% for i in kegiatan %}
                <tr>
                    <div class="card" style="width: 30rem;">
                        <div class="row">
                            <div class="col-sm-left">
                                <h2 style="color: #FFB800; text-align: center; font-size: 22px; font-weight: 600;">{{i.nama_kegiatan}}</h2>
                                <img src="{{ i.gambar }}" style="width: 200px">
                                <h3>Guess :</h3>
                                    {% for p in i.participants.all %}
                                            <h4>{{p.nama}}</h4>
                                    {% endfor %}
                                    <div class="row" style="flex-direction: row;">
                                        <div class="form-group">
                                            <form action= "{% url 'main:kegiatanku_eksekusi' id_kegiatan=i.id %} " method="POST">    
                                                {% csrf_token %}
                                                {{ form }}
                                                <input type="submit" class="btn btn-transparent" name="submit" style="color: white; border-radius:30px; width: 8rem; font-size: 10px; font-weight: 600; padding: 5px; background-color: #355388;">
                                            </form>
                                        </div>
                                    </div>
                            </div>  
                        </div>
                    </div>

                </tr>
            {% endfor %}
            </div>   
        </div>
    </section>

    <!-- End of join kegiatan section -->

{% endblock content %}
      